unofficial mirror of guix-devel@gnu.org 
 help / color / mirror / code / Atom feed
* glibc-2.33 fails to build on POWER9
@ 2022-07-14 16:06 Tobias Platen
  2022-07-15 10:09 ` Efraim Flashner
  2022-07-15 16:04 ` Thiago Jung Bauermann
  0 siblings, 2 replies; 3+ messages in thread
From: Tobias Platen @ 2022-07-14 16:06 UTC (permalink / raw)
  To: guix-devel

I tried to build glibc-2.33 on my Talos II (no cross compile here),
it fails because the compiler is likely outdated.

checking if the target machine is at least POWER8... yes
checking if the compiler supports -mno-gnu-attribute... yes
checking if gcc compiles signbit with 128-bit floating point type...
yes
checking if gcc compiles with -mabi=ieeelongdouble and -mlong-double-
128... no
checking for objcopy... objcopy
checking version of objcopy... 2.37, ok
configure: error: ***  The compiler must support -mabi=ieeelongdouble
and -mlongdouble simultaneously.

guix --version shows
guix (GNU Guix) 7c9ad54b0616112c7eea6dd02379616aef206490
Copyright (C) 2022 the Guix authors




^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: glibc-2.33 fails to build on POWER9
  2022-07-14 16:06 glibc-2.33 fails to build on POWER9 Tobias Platen
@ 2022-07-15 10:09 ` Efraim Flashner
  2022-07-15 16:04 ` Thiago Jung Bauermann
  1 sibling, 0 replies; 3+ messages in thread
From: Efraim Flashner @ 2022-07-15 10:09 UTC (permalink / raw)
  To: Tobias Platen; +Cc: guix-devel

[-- Attachment #1: Type: text/plain, Size: 1353 bytes --]

On Thu, Jul 14, 2022 at 06:06:51PM +0200, Tobias Platen wrote:
> I tried to build glibc-2.33 on my Talos II (no cross compile here),
> it fails because the compiler is likely outdated.
> 
> checking if the target machine is at least POWER8... yes
> checking if the compiler supports -mno-gnu-attribute... yes
> checking if gcc compiles signbit with 128-bit floating point type...
> yes
> checking if gcc compiles with -mabi=ieeelongdouble and -mlong-double-
> 128... no
> checking for objcopy... objcopy
> checking version of objcopy... 2.37, ok
> configure: error: ***  The compiler must support -mabi=ieeelongdouble
> and -mlongdouble simultaneously.
> 
> guix --version shows
> guix (GNU Guix) 7c9ad54b0616112c7eea6dd02379616aef206490
> Copyright (C) 2022 the Guix authors

(ins)[efraim@pbp guix]$ git show 7c9ad54b0616112c7eea6dd02379616aef206490
commit 7c9ad54b0616112c7eea6dd02379616aef206490
Author: Efraim Flashner <efraim@flashner.co.il>
Date:   Sun Feb 6 10:09:14 2022 +0200

Can you try with a more recent version of Guix? Is this for building
glibc@2.33 or as part of the packages in commencement.scm?

-- 
Efraim Flashner   <efraim@flashner.co.il>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: glibc-2.33 fails to build on POWER9
  2022-07-14 16:06 glibc-2.33 fails to build on POWER9 Tobias Platen
  2022-07-15 10:09 ` Efraim Flashner
@ 2022-07-15 16:04 ` Thiago Jung Bauermann
  1 sibling, 0 replies; 3+ messages in thread
From: Thiago Jung Bauermann @ 2022-07-15 16:04 UTC (permalink / raw)
  To: Tobias Platen; +Cc: guix-devel


Hello Tobias,

Tobias Platen <guix@platen-software.de> writes:

> I tried to build glibc-2.33 on my Talos II (no cross compile here),
> it fails because the compiler is likely outdated.
>
> checking if the target machine is at least POWER8... yes
> checking if the compiler supports -mno-gnu-attribute... yes
> checking if gcc compiles signbit with 128-bit floating point type...
> yes
> checking if gcc compiles with -mabi=ieeelongdouble and -mlong-double-
> 128... no
> checking for objcopy... objcopy
> checking version of objcopy... 2.37, ok
> configure: error: ***  The compiler must support -mabi=ieeelongdouble
> and -mlongdouble simultaneously.
>
> guix --version shows
> guix (GNU Guix) 7c9ad54b0616112c7eea6dd02379616aef206490
> Copyright (C) 2022 the Guix authors

This commit is 5 months old. Have you tried a recent one? Though I don't
think the age of the commit is at issue here since I don't see the
problem on the guixp9 POWER9 KVM guest — neither with that commit nor
with one from yesterday:

--8<---------------cut here---------------start------------->8---
guixp9: guix time-machine --commit=7c9ad54b0616112c7eea6dd02379616aef206490 -- build --check glibc
The following derivations will be built:
   /gnu/store/cg43qhijpkhlw9bbl8fzwxvxw5grakia-glibc-2.33.drv
   /gnu/store/zab1v46cb0yl9ci7hmzja1aicdlv3izn-python-minimal-3.9.9.drv
   /gnu/store/0zvyvz8r0h0bz3mn9n48zqxc4yiwsyiw-Python-3.9.9.tar.xz.drv
   /gnu/store/94yfrx7z6k8b7skwmbs7z123lzf9rpv3-Python-3.9.9.tar.xz.drv
   /gnu/store/zrad6w94ryw22hr39y0gvpkhcgrj47q0-glibc-2.33.tar.xz.drv
   /gnu/store/ryk073aag63hdspb12aa6s23h372w3s3-glibc-2.33.tar.xz.drv
    ⋮
[lots of output]
    ⋮
phase `compress-documentation' succeeded after 1.0 seconds
successfully built /gnu/store/cg43qhijpkhlw9bbl8fzwxvxw5grakia-glibc-2.33.drv
successfully built /gnu/store/cg43qhijpkhlw9bbl8fzwxvxw5grakia-glibc-2.33.drv
successfully built /gnu/store/cg43qhijpkhlw9bbl8fzwxvxw5grakia-glibc-2.33.drv
successfully built /gnu/store/cg43qhijpkhlw9bbl8fzwxvxw5grakia-glibc-2.33.drv
/gnu/store/qgy2di20daf79dmm9hhr04f98m455qcr-glibc-2.33-debug
/gnu/store/86wp800dw0ad0g74zbm1hc9kfhwvpjmd-glibc-2.33
/gnu/store/dwfcbnw0xw655pxfnm4sw8iy9migk0yw-glibc-2.33-static
guixp9: guix build --check glibc
The following derivation will be built:
/gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv
building /gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv...
    ⋮
[lots of output]
    ⋮
phase `compress-documentation' succeeded after 0.8 seconds
successfully built /gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv
successfully built /gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv
successfully built /gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv
successfully built /gnu/store/60cs3rx5jax7ls11cv7ypx8czhrn4372-glibc-2.33.drv
/gnu/store/fn8p0craaydg7iis4xla5ab6pscjjl20-glibc-2.33-debug
/gnu/store/16pvidj4ikzxqwqkggnjfq7wyflkk0x0-glibc-2.33
/gnu/store/dvnpnrbxj2l8i94y3cyh3rx6xxhx4bhh-glibc-2.33-static
guixp9: guix describe
Generation 27   Jul 15 2022 01:56:51    (current)
  guix 9238ba5
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9238ba58748d99970674e098c9b1b0ed8ca66c14
guixp9: 
--8<---------------cut here---------------end--------------->8---

The last glibc build on the master branch also went well in the CI
(which also uses guixp9 so not really a different data point):

https://ci.guix.gnu.org/build/935110/details

Can you share more details that might be relevant about your environment
and how you are building the package?

-- 
Thanks
Thiago


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2022-07-22  9:23 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-07-14 16:06 glibc-2.33 fails to build on POWER9 Tobias Platen
2022-07-15 10:09 ` Efraim Flashner
2022-07-15 16:04 ` Thiago Jung Bauermann

Code repositories for project(s) associated with this inbox:

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).